Bug 1789139 - YAML snippets aren't showing up when editing resources, only on create
Summary: YAML snippets aren't showing up when editing resources, only on create
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1789150
TreeView+ depends on / blocked
 
Reported: 2020-01-08 20:30 UTC by Samuel Padgett
Modified: 2020-05-04 11:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1789150 (view as bug list)
Environment:
Version: 4.3.0-0.ci-2020-01-06-064249 Cluster ID: 81c71baf-8074-4b83-b502-7750c312bb3f Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:71.0) Gecko/20100101 Firefox/71.0
Last Closed: 2020-05-04 11:23:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3900 None closed Bug 1789139: support snippets in edit mode, not just create 2020-03-25 18:04:40 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:23:54 UTC

Description Samuel Padgett 2020-01-08 20:30:21 UTC
ConsoleYAMLSamples with `snippet: true` should show up in the YAML editor for existing resources, not only on create. (Samples that don't have `snippet: true` should *not* show up for existing editors since they would replace the entire resource.)

Comment 2 Yanping Zhang 2020-01-13 05:19:47 UTC
Checked on OCP 4.4 with payload 4.4.0-0.nightly-2020-01-12-221811.
1. Create one sampleConsoleYAMLSamples with `snippet: true`.
2. Create one sampleConsoleYAMLSamples without `snippet: true`.
3. Create a resource (job).
4. Check on the resource's yaml sidebar, there is snippet shown up, and the sample without snippet only shows on create page.
The bug is fixed, so move it to Verified.

Comment 4 errata-xmlrpc 2020-05-04 11:23:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.